Bug 752812 - (CVE-2011-4130, ZDI-CAN-1420) CVE-2011-4130 proftpd: Response pool use-after-free flaw (ZDI-CAN-1420)
CVE-2011-4130 proftpd: Response pool use-after-free flaw (ZDI-CAN-1420)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20111028,repor...
: Security
Depends On: 752816 752817
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 08:52 EST by Jan Lieskovsky
Modified: 2016-03-04 06:25 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-25 03:37:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2011-11-10 08:52:34 EST
A use-after-free flaw was found in the way ProFTPD, an enhanced FTP server, performed retrieval of the response pool for the old command (when ProFTPD was in the midst of the data transfer, when new command arrived) used by the Response API. A remote attacker could provide a specially-crafted request (resulting in a need the server to handle an exceptional condition), leading to memory corruption and potentially arbitrary code execution, with the privileges of the user running the proftpd server.

Upstream bug report:
[1] http://bugs.proftpd.org/show_bug.cgi?id=3711

Relevant upstream patch:
[2] http://bugs.proftpd.org/show_bug.cgi?id=3711#c1

References:
[3] https://secunia.com/advisories/46811/
[4] https://bugs.gentoo.org/show_bug.cgi?id=390075
[5] http://www.zerodayinitiative.com/advisories/upcoming/
Comment 1 Jan Lieskovsky 2011-11-10 09:00:32 EST
CVE request:
[6] http://www.openwall.com/lists/oss-security/2011/11/10/3
Comment 2 Jan Lieskovsky 2011-11-10 09:01:40 EST
This issue affects the versions of the proftpd package, as shipped with Fedora release of 14, 15, and 16. Please schedule an update.

--

This issue affects the versions of the proftpd package, as shipped with Fedora EPEL 4, 5, and 6 releases. Please schedule an update.
Comment 3 Jan Lieskovsky 2011-11-10 09:02:54 EST
Created proftpd tracking bugs for this issue

Affects: fedora-all [bug 752816]
Affects: epel-all [bug 752817]
Comment 4 Vincent Danen 2011-11-10 11:59:10 EST
This was given the name CVE-2011-4130:

http://www.openwall.com/lists/oss-security/2011/11/10/4
Comment 5 Fedora Update System 2011-11-19 00:59:25 EST
proftpd-1.3.3g-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2011-11-19 00:59:45 EST
proftpd-1.3.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-11-19 01:08:35 EST
proftpd-1.3.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-11-24 21:05:12 EST
proftpd-1.3.3g-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-11-24 21:07:13 EST
proftpd-1.3.3g-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-11-24 21:11:04 EST
proftpd-1.3.3g-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Paul Howarth 2011-11-25 03:05:12 EST
This is now fixed in all supported Fedora and EPEL releases, so presumably this bug can now be closed?
Comment 12 Tomas Hoger 2011-11-25 03:37:31 EST
Correct, thank you!

Note You need to log in before you can comment on or make changes to this bug.